## org.hibernate.service.spi
Annotation Type InjectService

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface InjectService

Annotation to allow services to request injection of other services

Optional Element Summary
`boolean` `required` Is the service to be injected required (not optional)?
`Class` `serviceRole` The service role to inject, the default is to use the type of the parameter to which this method is attached.

### serviceRole

    public abstract Class serviceRole

  The service role to inject, the default is to use the type of the parameter to which this method is attached.

  Returns:
    The service role.
  Default:
    java.lang.Void.class

### required

    public abstract boolean required

  Is the service to be injected required (not optional)?

  Returns:
    True if the service is required.
  Default:
    true

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.